Index: zpt/common_template.zpt
===================================================================
--- zpt/common_template.zpt	(revision 501)
+++ zpt/common_template.zpt	(revision 502)
@@ -16,4 +16,7 @@
       tal:content="string:[no bibliographical information for this document (type ${bibType})]" />
     <div tal:condition="formattedLabel" tal:content="structure formattedLabel" />
+    <div class="doclinks">
+      <a tal:attributes="href python:here.getLink('viewMode','index')">Bibliographical information</a>
+    </div>
   </metal:block>
   <!-- /head -->
@@ -27,24 +30,17 @@
               leftest python:test(flowLtr,first,last); rightest python:test(flowLtr,last,first);">
     <form class="autosubmit" tal:attributes="action viewerUrl">
-      <input type="hidden" tal:define="params python:here.getParams('pn', None)"
-        tal:repeat="param params" tal:attributes="name param; value python:params[param]" />
-      page <a tal:condition="leftest"
-        tal:attributes="href python:here.getLink('pn',leftest)">|&lt;</a> <span
-        tal:condition="not:leftest">|&lt;</span> <a tal:condition="left"
-        tal:attributes="href python:here.getLink('pn',left)">&lt;</a> <span
-        tal:condition="not:left">&lt;</span> <input class="autosubmit" size="3"
-        type="text" name="pn" tal:attributes="value pn" /> <span class="originalPage"
-        title="Original page number"
-        tal:define="originalPage pageinfo/pageNumberOrig | nothing"
-        tal:condition="python:originalPage!=None"> (<span
-        tal:replace="originalPage" /><span
-        tal:define="originalPageNorm pageinfo/pageNumberOrigNorm | nothing"
-        tal:condition="python:originalPageNorm!=None"> [<span
+      <input type="hidden" tal:define="params python:here.getParams('pn', None)" tal:repeat="param params"
+        tal:attributes="name param; value python:params[param]" /> page <a tal:condition="leftest"
+        tal:attributes="href python:here.getLink('pn',leftest)">|&lt;</a> <span tal:condition="not:leftest">|&lt;</span> <a
+        tal:condition="left" tal:attributes="href python:here.getLink('pn',left)">&lt;</a> <span tal:condition="not:left">&lt;</span>
+      <input class="autosubmit" size="3" type="text" name="pn" tal:attributes="value pn" /> <span class="originalPage"
+        title="Original page number" tal:define="originalPage pageinfo/pageNumberOrig | nothing"
+        tal:condition="python:originalPage!=None"> (<span tal:replace="originalPage" /><span
+        tal:define="originalPageNorm pageinfo/pageNumberOrigNorm | nothing" tal:condition="python:originalPageNorm!=None"> [<span
           tal:replace="originalPageNorm" />]
       </span>)
-      </span> <input type="submit" value="Go" /> of <span tal:replace="numPages" /> <a
-        tal:condition="right" tal:attributes="href python:here.getLink('pn',right)">&gt;</a>
-      <span tal:condition="not:right">&gt;</span> <a tal:condition="rightest"
-        tal:attributes="href python:here.getLink('pn',rightest)">&gt;|</a> <span
+      </span> <input type="submit" value="Go" /> of <span tal:replace="numPages" /> <a tal:condition="right"
+        tal:attributes="href python:here.getLink('pn',right)">&gt;</a> <span tal:condition="not:right">&gt;</span> <a
+        tal:condition="rightest" tal:attributes="href python:here.getLink('pn',rightest)">&gt;|</a> <span
         tal:condition="not:rightest">&gt;|</span>
     </form>
@@ -55,17 +51,12 @@
   <metal:block metal:define-macro="toc_ruler">
     <form class="autosubmit" tal:attributes="action viewerUrl">
-      <input type="hidden" tal:define="params python:here.getParams('start', None)"
-        tal:repeat="param params" tal:attributes="name param; value python:params[param]" />
-      <a tal:condition="batch/prevStart"
-        tal:attributes="href python:here.getLink('start',batch['prevStart'])">&lt;</a> <span
-        tal:condition="not:batch/prevStart">&lt;</span>
+      <input type="hidden" tal:define="params python:here.getParams('start', None)" tal:repeat="param params"
+        tal:attributes="name param; value python:params[param]" /> <a tal:condition="batch/prevStart"
+        tal:attributes="href python:here.getLink('start',batch['prevStart'])">&lt;</a> <span tal:condition="not:batch/prevStart">&lt;</span>
       <select class="autosubmit" name="start">
-        <option tal:repeat="grp batch/batches"
-          tal:attributes="selected python:(start==grp['start']); value grp/start"
+        <option tal:repeat="grp batch/batches" tal:attributes="selected python:(start==grp['start']); value grp/start"
           tal:content="string:${grp/start} - ${grp/end}" />
-      </select>
-      <input type="submit" value="Go" /> <a tal:condition="batch/nextStart"
-        tal:attributes="href python:here.getLink('start',batch['nextStart'])">&gt;</a> <span
-        tal:condition="not:batch/nextStart">&gt;</span>
+      </select> <input type="submit" value="Go" /> <a tal:condition="batch/nextStart"
+        tal:attributes="href python:here.getLink('start',batch['nextStart'])">&gt;</a> <span tal:condition="not:batch/nextStart">&gt;</span>
     </form>
   </metal:block>
Index: zpt/viewer_index.zpt
===================================================================
--- zpt/viewer_index.zpt	(revision 501)
+++ zpt/viewer_index.zpt	(revision 502)
@@ -32,5 +32,5 @@
       </tal:x>
 
-      <tal:x condition="python:formattedData==None">
+      <tal:x condition="not:formattedData">
         <!-- kein template fuer die daten -->
         <tal:x condition="exists:docinfo/bib">
@@ -76,5 +76,5 @@
     </div>
     <div tal:condition="docpath">
-      Download: <a
+      Download as <a
         tal:attributes="href python:'http://mpdl-system.mpiwg-berlin.mpg.de/mpdl/getDoc?doc=%s'%(docpath.replace('.xml','.html'))"
         target="_blank">html</a> / <a
Index: zpt/viewer_text.zpt
===================================================================
--- zpt/viewer_text.zpt	(revision 501)
+++ zpt/viewer_text.zpt	(revision 502)
@@ -30,4 +30,5 @@
                                flowLtr python:pageinfo.get('pageFlow','ltr')!='rtl';
                                textPage python:here.getTextPage(mode=viewType, pn=pn, docinfo=docinfo, pageinfo=pageinfo) or '[no text here]';">
+    <!-- header -->
     <div class="page-head">
       <metal:block metal:use-macro="here/template/common_template/macros/head" />
